Skip to main content
POST
/hackerone/reports/search

Authorizations

access-token
string
header
required

API token from the dashboard

Headers

access-token
string
required

Body

application/json
count
integer
required
Required range: 1 <= x <= 10000
timeout
integer
default:300
Required range: 20 <= x <= 1500
keyword
string | null
reporter
string | null
program
string | null
severity
enum<string>[] | null
Available options:
none,
low,
medium,
high,
critical
cwe
string | null
cve
string | null
state
enum<string> | null
Available options:
resolved,
triaged,
informative,
not-applicable,
duplicate,
new,
spam
min_reward
number | null
Required range: x >= 0
max_reward
number | null
Required range: x >= 0
collaboration
boolean | null
disclosed
boolean | null
disclosed_after
string | null
disclosed_before
string | null
sort
enum<string>
default:latest_disclosable_activity_at
Available options:
latest_disclosable_activity_at,
disclosed_at,
total_awarded_amount,
votes
sort_direction
enum<string>
default:DESC
Available options:
DESC,
ASC

Response

Successful Response

@type
string
default:HackeroneReport
id
string | null
url
string | null
state
string | null
severity
string | null
cwe
string | null
cve_ids
string[]
summary
string | null
vote_count
integer | null
awarded_amount
number | null
disclosed
boolean | null
disclosed_at
string | null
submitted_at
string | null
latest_activity_at
string | null
latest_disclosable_action
string | null
has_collaboration
boolean | null
reporter
object | null
team
object | null
collaborators
object[]